/**
 * A class responsible for executing the appropriate movement when the middle button of Cog is pressed.
 */
import Cog from "@robotical/webapp-types/dist-types/src/application/RAFTs/Cog/Cog";
export default class Executor {
    constructor();
    execute(): Promise<void>;
}
export declare function getConnectedCog(): Cog | null;
export declare class EventBlocksExecutor {
}
export declare class SoundBlocksExecutor {
    static playSound(sound: "no" | "noway" | "disbelief" | "confusion" | "excitement" | "whistle"): Promise<boolean>;
}
